API DocumentationSpecifications
Get specification
GET
Retrieves a specific specification by its identifier
Phasio API Bearer Tokenheader
AuthorizationBearer <token>id*stringID of the specification to retrieve
Format
uuidSpecification found
application/json- response
id*stringFormat
uuidpartRevisionId*stringFormat
uuidpartRevisionName*stringunits*stringValue in
"CENTIMETERS""MILLIMETERS""METRES""INCHES""FEET"processPricesId?stringFormat
uuidmaterialId*integerFormat
int64colorId?integerFormat
int64precisionId?integerFormat
int64infillId?integerFormat
int64postProcessingIds*array<>customerReferences*array<>createdAt*stringFormat
date-timelastUpdated*stringFormat
date-timeconstraints?array<|>weight*numbermetadata*array<>attachments*array<>productionFile?instructions*array<>curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/part-specification/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8", "partRevisionName": "string", "units": "CENTIMETERS", "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c", "materialId": 0, "colorId": 0, "precisionId": 0, "infillId": 0, "postProcessingIds": [ 0 ], "customerReferences": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "customerOrganisationId": 0, "customerOrganisationName": "string", "reference": "string", "pricingTiers": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "quantity": 0, "price": 0 } ], "showInCatalog": true } ], "createdAt": "2019-08-24T14:15:22Z", "lastUpdated": "2019-08-24T14:15:22Z", "constraints": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "constraintType": "string", "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "weight": 0, "metadata": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "metadataKey": "string", "value": "string", "createdBy": { "email": "string", "firstName": "string", "lastName": "string" }, "updatedBy": { "email": "string", "firstName": "string", "lastName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "attachments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "contentType": "string", "size": 0, "uploadedBy": { "email": "string", "firstName": "string", "lastName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "kind": "GENERAL", "cadFileFormat": "STL" } ], "productionFile": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "contentType": "string", "size": 0, "uploadedBy": { "email": "string", "firstName": "string", "lastName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "kind": "GENERAL", "cadFileFormat": "STL" }, "instructions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "operationName": "string", "sortOrder": 0, "updatedBy": { "email": "string", "firstName": "string", "lastName": "string" }, "updatedAt": "2019-08-24T14:15:22Z" } ]}